﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamGridHierarchyCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i<10; i++)
            {
                SampleData sd = new SampleData() { ID = i, Number = r.Next(1000) };

                if(i % 2 == 0)
                {
                    for(int j=0; j<3; j++)
                    {
                        sd.Children.Add(new ChildData()
                        {
                            ChildID= j,
                            ChildLabel = "Child Label " + j.ToString()
                        });
                    }
                }

                Data.Add(sd);
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public int Number { get; set; }

        public ObservableCollection<ChildData> Children { get; set; }

        public SampleData()
        {
            Children = new ObservableCollection<ChildData>();
        }
    }

    public class ChildData
    {
        public int ChildID { get; set; }
        public string ChildLabel { get; set; }
    }
}
